get
https://api.staging.deliverect.com/channelLinks
This endpoint returns details for all channels accessible under your partner account permissions.
Refine Results
Most attributes in the channel object can be queried and results filtered, below are some examples;
By account;
Add the account Id as below to return all channels for a specified account;
?where={"account": "65********************6f"}By location
Add the location Id as below to return all channels for a specified location;
?where={"location": "65********************fd"}By unique channel location identifier
?where={"channelSettings.channelLocationId": "ABC123"}Channel Status
Each channel will be marked with a "status" marking one of the Ids below to indicate the stage of activation;
| STATUS ID | CHANNEL STATUS |
|---|---|
| 0 | INACTIVE |
| 1 | SUSPENDED |
| 2 | TESTING |
| 3 | SUBSCRIBED |
| 4 | ONBOARDING |
Querying Results
As results can be paginated, please reference the link below which shows how to correctly handle this.
200